summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPerberos <[email protected]>2012-10-16 17:27:11 -0300
committerPerberos <[email protected]>2012-10-16 17:27:11 -0300
commit50f0c8f03ade84d548fda06c27cdc293d727d4be (patch)
tree6c06498728e28f22b56e3421f09dc3c78ccd5f4f
parentc460854d4fe90c8528b6c4d6427ed50fcae3a906 (diff)
downloadmate-desktop-50f0c8f03ade84d548fda06c27cdc293d727d4be.tar.bz2
mate-desktop-50f0c8f03ade84d548fda06c27cdc293d727d4be.tar.xz
fixing some deprecated variable name on configure file
-rwxr-xr-xautogen.sh2
-rw-r--r--configure.ac (renamed from configure.in)4
-rw-r--r--distro/archlinux/PKGBUILD5
-rw-r--r--mate-about/Makefile.am2
4 files changed, 6 insertions, 7 deletions
diff --git a/autogen.sh b/autogen.sh
index ac5f901..bf0a710 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,7 +6,7 @@ test -z "$srcdir" && srcdir=.
PKG_NAME="mate-desktop"
-(test -f $srcdir/configure.in) || {
+(test -f $srcdir/configure.ac) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
diff --git a/configure.in b/configure.ac
index 88c32bc..b32699e 100644
--- a/configure.in
+++ b/configure.ac
@@ -232,7 +232,7 @@ AM_GLIB_GNU_GETTEXT
AC_ARG_ENABLE([gnucat],
[AS_HELP_STRING([--disable-gnucat], [disable the use of gnu cat as logo])],
- [], [enable_gnucat=yes])
+ [enable_gnucat=no], [enable_gnucat=yes])
if test "x$enable_gnucat" = "xno"; then
MATE_ABOUT_CFLAGS="$MATE_ABOUT_CFLAGS -DDISABLE_GNUCAT=1"
@@ -342,5 +342,5 @@ mate-desktop $VERSION `echo mate-desktop $VERSION | sed "s/./=/g"`
Startup notification support: ${have_startup_notification}
XRandr support: ${have_randr}
Build gtk-doc documentation: ${enable_gtk_doc}
-
+ Show gnucat: ${enable_gnucat}
"
diff --git a/distro/archlinux/PKGBUILD b/distro/archlinux/PKGBUILD
index fd7a1ba..78d055b 100644
--- a/distro/archlinux/PKGBUILD
+++ b/distro/archlinux/PKGBUILD
@@ -22,9 +22,8 @@ build() {
--disable-static \
--disable-scrollkeeper \
--disable-startup-notification \
- --enable-unique \
- --disable-gnucat || return 1
- # --with-gtk=3.0
+ --enable-unique --disable-gnucat || return 1
+ # --with-gtk=3.0
make || return 1
}
diff --git a/mate-about/Makefile.am b/mate-about/Makefile.am
index 314b870..bd64542 100644
--- a/mate-about/Makefile.am
+++ b/mate-about/Makefile.am
@@ -3,7 +3,7 @@ mate_about_SOURCES = mate-about.c mate-about.h
mate_about_CFLAGS = $(MATE_ABOUT_CFLAGS) $(UNIQUE_CFLAGS)
mate_about_LDADD = $(MATE_ABOUT_LIBS) $(UNIQUE_LIBS)
-INCLUDES = \
+AM_CPPFLAGS = \
-I$(top_srcdir) \
$(MATE_ABOUT_CFLAGS) \
-DLOCALE_DIR=\"$(datadir)/locale\" \